opencv: cv::Exception Class Reference

Public Member Functions | Public Attributes

# cv::Exception Class Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions
| Exception ()
| Exception (int _code, const string &_err, const string &_func, const string &_file, int _line)
void | formatMessage ()
virtual const char * | what () const throw ()
virtual | ~Exception () throw ()
## Public Attributes
int | code
| error code
string | err
| error description
string | file
| source file name where the error has occured
string | func
| function name. Available only when the compiler supports __func__ macro
int | line
| line number in the source file where the error has occured
string | msg
| the formatted error message

## Detailed Description

The standard OpenCV exception class. Instances of the class are thrown by various functions and methods in the case of critical errors.

## Constructor & Destructor Documentation

cv::Exception::Exception | ( | ) | `[inline]`

Default constructor

cv::Exception::Exception | ( | int | _code,
|  | const string & | _err,
|  | const string & | _func,
|  | const string & | _file,
|  | int | _line
| ) |  | `[inline]`

Full constructor. Normally the constuctor is not called explicitly. Instead, the macros CV_Error(), CV_Error_() and CV_Assert() are used.

virtual cv::Exception::~Exception | ( | ) | throw ()`[inline, virtual]`

## Member Function Documentation

void cv::Exception::formatMessage | ( | ) | `[inline]`

virtual const char* cv::Exception::what | ( | ) | const throw ()`[inline, virtual]`

Returns:
  the error description and the context as a text string.

## Member Data Documentation

int cv::Exception::code

error code

See also:
  CVStatus

string cv::Exception::err

error description

string cv::Exception::file

source file name where the error has occured

string cv::Exception::func

function name. Available only when the compiler supports __func__ macro

int cv::Exception::line

line number in the source file where the error has occured

string cv::Exception::msg

the formatted error message

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines